Package: grails.web.mime

## [Groovy] Interface MimeTypeResolver

- Resolves the response format

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `BEAN_NAME`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `MimeType` | `resolveRequestMimeType()` @return The request format sent by the client
    `` | `MimeType` | `resolveRequestMimeType(GrailsWebRequest request)` @return The request format sent by the client
    `` | `MimeType` | `resolveResponseMimeType()` @return The response format requested by the client
    `` | `MimeType` | `resolveResponseMimeType(GrailsWebRequest request)` @return The response format requested by the client

- - ### Property Detail

    - #### java.lang.String BEAN_NAME

  - ### Method Detail

    - #### MimeType resolveRequestMimeType()

      Returns:
        The request format sent by the client

    - #### MimeType resolveRequestMimeType(GrailsWebRequest request)

      Returns:
        The request format sent by the client

    - #### MimeType resolveResponseMimeType()

      Returns:
        The response format requested by the client

    - #### MimeType resolveResponseMimeType(GrailsWebRequest request)

      Returns:
        The response format requested by the client